# Uses of Enum
org.eclipse.mat.ui.internal.query.arguments.LinkEditor.Mode

Packages that use LinkEditor.Mode
Package
Description
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).
org.eclipse.mat.ui.internal.query.arguments
Allows a user to specify arguments for a query - user interface (not API).

## Uses of LinkEditor.Mode in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire with parameters of type LinkEditor.Mode
Modifier and Type
Method
Description
`void`
ProviderArgumentsTable.`onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`

## Uses of LinkEditor.Mode in org.eclipse.mat.ui.internal.query.arguments

Methods in org.eclipse.mat.ui.internal.query.arguments that return LinkEditor.Mode
Modifier and Type
Method
Description
`static LinkEditor.Mode`
LinkEditor.Mode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LinkEditor.Mode[]`
LinkEditor.Mode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.ui.internal.query.arguments with parameters of type LinkEditor.Mode
Modifier and Type
Method
Description
`void`
ArgumentEditor.IEditorListener.`onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void`
ArgumentsTable.ITableListener.`onModeChange(LinkEditor.Mode mode)`
`void`
ArgumentsTable.`onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void`
ArgumentsWizardPage.`onModeChange(LinkEditor.Mode mode)`
Constructors in org.eclipse.mat.ui.internal.query.arguments with parameters of type LinkEditor.Mode
Modifier
Constructor
Description
``
`ArgumentsTable(Composite parent, int style, IQueryContext context, ArgumentSet argumentSet, LinkEditor.Mode mode)`
``
`LinkEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, LinkEditor.Mode mode)`